function onBegin()
	disableMovement()
	playMusic("event:/none",0)
	playSound("event:/CC/CC_Deltarune/CC_Deltarune_sneolaugh")
	setFlag("NEO-fightintro",true)
	wait(0.5)
	playSound("event:/CC/CC_Deltarune/CC_Deltarune_impact")
	say("CC_Deltarune_SpamtonNeoA")
	playMusic("event:/CC/CC_Deltarune/CC_Deltarune_bigshot",0)
	setFlag("NEO-fightstart",true)
	setFlag("NEO-spamtonstart",true)
	setFlag("NEO-WireA",true)
	setFlag("NEO-WireB",true)
	setFlag("NEO-WireC",true)
	setFlag("NEO-WireD",true)
	setFlag("NEO-stylegrounddontscroll",false)
	setFlag("NEO-stylegroundscroll",true)
end

function onEnd()
	enableMovement()
	playMusic("event:/CC/CC_Deltarune/CC_Deltarune_bigshot",0)
	setFlag("NEO-stylegrounddontscroll",false)
	setFlag("NEO-stylegroundscroll",true)
	setFlag("NEO-WireA",true)
	setFlag("NEO-WireB",true)
	setFlag("NEO-WireC",true)
	setFlag("NEO-WireD",true)
	setFlag("NEO-WireE",true)
	setFlag("NEO-fightstart",true)
	setFlag("NEO-spamtonstart",true)
end